Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 429378 - dev-lang/perl-5.16 already provides Data::Dumper
Summary: dev-lang/perl-5.16 already provides Data::Dumper
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-01 16:04 UTC by Luis Ressel
Modified: 2014-01-28 19:13 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Ressel 2012-08-01 16:04:10 UTC
perl-5.16 includes a version of Data::Dumper, namely 2.135.6. Could you please
add a virtual "virtual/perl-Data-Dumper-2.135.6" with an RDEPEND of
"=dev-lang/perl-5.16*", so that ebuilds depending on this virtual don't force the
user to install perl-core/Data-Dumper although he already has a version of it in
the main perl package?
Comment 1 Kent Fredric (IRC: kent\n) gentoo-dev 2012-11-10 12:48:00 UTC
(In reply to comment #0)
> perl-5.16 includes a version of Data::Dumper, namely 2.135.6. Could you
> please
> add a virtual "virtual/perl-Data-Dumper-2.135.6" with an RDEPEND of
> "=dev-lang/perl-5.16*", so that ebuilds depending on this virtual don't
> force the
> user to install perl-core/Data-Dumper although he already has a version of
> it in
> the main perl package?

Actually, its not "2.135.6" thats not quite correct, 
    v5.16.0 =>   2.135_06  

This is a "development release", where as the last stable release that was

a) Released with a stable perl
b) Also available on CPAN

Was 2.131

If we were to provide a stable CPAN version more recent than that, it would have to be 2.136 ( Released Oct 04, 2012 )

If we want a virtual for 2.135_06, according to our current normalisation scheme, that would map to 

   virtual/perl-Data-Dumper-2.135.60_rc

( See dev-perl/Gentoo-PerlMod-Version )

And we're not really in a habit of producing develop-version virtuals.


IMO:

*virtual/perl-Data-Dumper-2.135.60_rc:

> RDEPEND="=dev-lang/perl-5.16*"

* virtual/perl-Data-Dumper-2.131.0:

>RDEPEND="~perl-core/${PN#perl-}-${PV}"

Or optionally

>RDEPEND="|| ( 
>  =dev-lang/perl-5.15.0 
>  =dev-lang/perl-5.15.1
>  ~perl-core/${PN#perl-}-${PV}
>)"

* virtual/perl-Data-Dumper-2.135.0:

>RDEPEND="~perl-core/${PN#perl-}-${PV}"
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2012-11-10 12:52:41 UTC
Actually, IMO, the virtual for 

*virtual/perl-Data-Dumper-2.135.60_rc:

Would Ideally be:

> RDEPEND="
>   =dev-lang/perl-5.16*
>   !perl-core/Data-Dumper
>"


As without the blocker on perl-core/Data-Dumper , it would permit you to have 

=dev-lang/perl-5.16
=virtual/perl-Data-Dumper-2.135.60_rc
=perl-core/Data-Dumper-2.131.0

And the latter will shadow the former , giving you an old Data::Dumper despite the recent virtual.

It would be simpler to just ship 2.136.0 and completely forget the development middle version.